sorted_entry_s Struct Reference

Bigram probs and bo-wts, and trigram probs are kept in separate tables rather than within the bigram_t and trigram_t structures. More...

`#include <lm3g_model.h>`

## Data Fields

lmprob_t | val
| value being kept in this node
uint32 | lower
| index of another entry. More...
uint32 | higher
| index of another entry. More...

## Detailed Description

Bigram probs and bo-wts, and trigram probs are kept in separate tables rather than within the bigram_t and trigram_t structures.

These tables hold unique prob and bo-wt values. The following tree structure is used to construct these tables of unique values. Whenever a new value is read from the LM file, the sorted tree structure is searched to see if the value already exists, and inserted if not found.

Definition at line 68 of file lm3g_model.h.

## Field Documentation

uint32 sorted_entry_s::higher

index of another entry.

All descendants down this path have their val > this node's val 0 => no son exists (0 is root index)

Definition at line 73 of file lm3g_model.h.

uint32 sorted_entry_s::lower

index of another entry.

All descendants down this path have their val < this node's val. 0 => no son exists (0 is root index)

Definition at line 70 of file lm3g_model.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/lm3g_model.h